import { MAIN_URL } from '../constants';
import { accessSessionKey } from '../utils/request';
import { SSEClient } from '../utils/sse/SSEClient';
import { Local } from '../utils/storage';

/**
 * 连接消息同步服务
 * @returns
 */
const connectMsgSyncService = () => {
	if (!Local.get(accessSessionKey)) return;
	// 创建实例
	const sseClient = new SSEClient(
		`${MAIN_URL}chat/connect_broadcast_chat`,
		// `${MAIN_URL}events`
	);
	sseClient.connect({
		websessionid: Local.get(accessSessionKey),
	});
	return sseClient;
};

// export const sseClient = connectMsgSyncService();
export const sseClient = null;

